name: Vercel Deploy

on: [push]

jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v3
      
      - name: Deploy to Vercel
        uses: amondnet/vercel-action@v25 # 这是一个非常好用的封装
        with:
          vercel-token: ${{ secrets.VERCEL_TOKEN }} # Vercel 设置里的 API Token
          vercel-org-id: ${{ secrets.ORG_ID }}     # 项目 .vercel/project.json 里的 orgId
          vercel-project-id: ${{ secrets.PROJECT_ID }} # 项目 .vercel/project.json 里的 projectId
          working-directory: ./ # 你的 HTML 所在目录
          vercel-args: '--prod' # 直接推送到生产环境